Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Xorg crashing after update on VMWare
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
puregenius
n00b
n00b


Joined: 24 Sep 2002
Posts: 56

PostPosted: Wed Dec 26, 2012 6:08 am    Post subject: Xorg crashing after update on VMWare Reply with quote

So, I made the mistake of running an update world, hadn't rebooted in a while, and hadn't updated in a little while. I was enjoying getting E17 up and running. Which I did.

Today I started up and my KB and mouse didn't work. Not at all. But, that's ok, the Xorg log reported that there was an ABI conflict with the vmmouse driver. I assumed that was due to the update world.

First thought was to re-emerge Xorg and emerge @xorg-modules-rebuild because it was initially complaining about those versions. Now X just crashes on start-up.


I see a single error, not sure if this is relevant:

Code:
[   508.106] drmOpenDevice: node name is /dev/dri/card0
[   508.113] [drm] failed to load kernel module "vmwgfx"
[   508.113] (EE) vmware(0): Failed to open drm.
[   508.113] (WW) vmware(0): Disabling 3D support.
[   508.113] (WW) vmware(0): Disabling Render Acceleration.
[   508.113] (WW) vmware(0): Disabling RandR12+ support.
[   508.113] (--) vmware(0): VMware SVGA regs at (0x10d0, 0x10d1)


Then the log ends a little later with:

Code:
[   508.129] (II) Loading sub module "fb"
[   508.129] (II) LoadModule: "fb"
[   508.129] (II) Loading /usr/lib/xorg/modules/libfb.so
[   508.129] (II) Module fb: vendor="X.Org Foundation"
[   508.129]    compiled for 1.12.4, module version = 1.0.0
[   508.129]    ABI class: X.Org ANSI C Emulation, version 0.4
[   508.129] (II) Loading sub module "shadowfb"
[   508.129] (II) LoadModule: "shadowfb"
[   508.130] (II) Loading /usr/lib/xorg/modules/libshadowfb.so
[   508.130] (II) Module shadowfb: vendor="X.Org Foundation"
[   508.130]    compiled for 1.12.4, module version = 1.0.0
[   508.130]    ABI class: X.Org ANSI C Emulation, version 0.4
[   508.130] (II) Loading sub module "ramdac"
[   508.130] (II) LoadModule: "ramdac"
[   508.130] (II) Module "ramdac" already built-in
[   508.130] (--) Depth 24 pixmap format is 32 bpp
[   508.130] (II) vmware(0): Initialized VMWARE_CTRL extension version 0.2
[   508.130] (II) vmware(0): Initialized VMware Xinerama extension.
[   508.130] (II) vmware(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0



A startx manually gives me this:

gentoo init.d # startx
xauth: file /root/.serverauth.3727 does not exist


Code:
X.Org X Server 1.12.4
Release Date: 2012-08-27
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.2.12-gentoo i686 Gentoo
Current Operating System: Linux gentoo 3.2.12-gentoo #5 SMP Sun Apr 29 22:24:53 EDT 2012 i686
Kernel command line: root=/dev/sda3
Build Date: 26 December 2012  12:31:18AM
 
Current version of pixman: 0.28.0
   Before reporting problems, check http://wiki.x.org
   to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
   (++) from command line, (!!) notice, (II) informational,
   (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Dec 26 01:04:38 2012
(==) Using config directory: "/etc/X11/xorg.conf.d"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
FATAL: Module vmwgfx not found.
/usr/bin/X: symbol lookup error: /usr/lib/xorg/modules/drivers/vmware_drv.so: undefined symbol: xf86ScreenToScrn



Should I chase down the kernel module: vmwgfx?

Or, is this an issue with the xf86ScreenToScrn? How can downgrade if it is?

Thanks,

Alex
_________________
--
Alex Wasserman

Me just me, but i might be like you too...
Back to top
View user's profile Send private message
Clad in Sky
l33t
l33t


Joined: 04 May 2007
Posts: 756
Location: Germany

PostPosted: Wed Dec 26, 2012 7:08 am    Post subject: Reply with quote

I'm not too familiar with VMs and I'm not sure what you're saying here: "First thought was to re-emerge Xorg and emerge @xorg-modules-rebuild because it was initially complaining about those versions. Now X just crashes on start-up". What did you emerge? @xorg-modules-rebuild looks like a set you made, but how can we know what is in this set?
On a normal box, you need to remerge xf86-input-evdev (usually enough if you use USB mice and keyboards and have evdev enabled in the kernel) to get the mouse and keyboard back. For video it depends on your graphics card, but usually you have to remerge xf86-driver-intel for intel graphics and nvidia-drivers for nvidia (or nouveau if you don't use the proprietary driver).
_________________
Kali Ma
Now it's autumn of the aeons
Dance with your sword
Now it's time for the harvest
Back to top
View user's profile Send private message
puregenius
n00b
n00b


Joined: 24 Sep 2002
Posts: 56

PostPosted: Wed Dec 26, 2012 6:46 pm    Post subject: Reply with quote

Actually no, that's a built-in set used for upgrading to Xorg >13. This is the message portage gives:

Code:

You must rebuild all drivers if upgrading from <xorg-server-1.10
because the ABI changed. If you cannot start X because
of module version mismatch errors, this is your problem.
You can generate a list of all installed packages in the x11-drivers
category using this command:
   emerge portage-utils; qlist -I -C x11-drivers/
or using sets from portage-2.2:
   emerge @x11-module-rebuild


It should then re-emerge the modules necessary.

I did actually build the kernel module in the end, and did a re-emerge of xOrg too, and that seems to have fixed it.
_________________
--
Alex Wasserman

Me just me, but i might be like you too...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum